Skip to main content
POST

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

salesOrderId
integer
required

ID of the sales order

shipmentId
integer
required

ID of the shipment to add packages to

Body

application/json
packages
object[]
required

Array of packages to create for the shipment

Minimum array length: 1
bol_number
string | null

Bill of Lading Number for logistics tracking; saved on the shipment

Example:

"BOL-123456789"

pro_number
string | null

Progressive Rotating Order Number (common in LTL shipping); saved on the shipment

Example:

"PRO-987654321"

partner_reference_number
string | null

General reference number from/for the shipping partner; saved on the shipment

Example:

"PARTNER-REF-001"

trailer_number
string | null

Trailer number for the shipment (common in LTL/FTL freight); saved on the shipment

Example:

"TRL-456789"

scac
string | null

Standard Carrier Alpha Code (SCAC) for the shipment's carrier; saved on the shipment and included on outbound EDI 856/810 documents

Maximum string length: 10

Response

Packages created successfully

data
object[]